incubator-ooo-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 119384] New: Python update to version 2.7 or 2.6.8
Date Sat, 19 May 2012 20:18:32 GMT
https://issues.apache.org/ooo/show_bug.cgi?id=119384

          Priority: P3
            Bug ID: 119384
          Assignee: ooo-issues@incubator.apache.org
           Summary: Python update to version 2.7 or 2.6.8
          Severity: normal
        Issue Type: DEFECT
    Classification: Code
                OS: All
          Reporter: pfg@apache.org
          Hardware: PC
            Status: CONFIRMED
           Version: AOO340-dev
         Component: www
           Product: external prerequisites

AOO currently includes Python version 2.6.1. Most unix packages use the system
python which at this time means Python 2.7.x and in a future Python 3.

Python 3 breaks compatibility with Python 2, but in order to make transition
easier the python developers have done two things:

- Recent versions of Python 2.6 include some features from Python 3. Python 2.7
includes features from python 3.1.
- There are tools to convert python 2 code into python 3.

There is internal py code that can be converted to work on Python 2 and 3 but
there may also have py2 extensions that we may want to keep running so updating
internal Python to a 2.7.3 or 2.6.8 release is important.

-- 
You are receiving this mail because:
You are the assignee for the bug.

Mime
View raw message